import { Role } from './role.model';
import { DateAudit } from 'src/modules/common/data/model/audit';

export enum StatusName {
  USER_BLOCK = 'USER_BLOCK',
  USER_NORMAL = 'USER_NORMAL',
  USER_WITHDRAW = 'USER_WITHDRAW'
}

export interface User extends DateAudit {
  id?: number;
  username?: string;

  nickname?: string;
  email?: string;
  block?: boolean;
  refEnable?: boolean;
  ref?: number;
  isAdmin?: boolean;
  sendEmail?: boolean;

  lastResetTime?: Date;
  blockCreatedAt?: Date;
  resetCount?: number;
  otpKey?: string;
  otp?: string;

  phone?: string;
  descriptions?: string;
}
